#!/usr/bin/env python3
#
#

import os
import sys

if sys.version_info.major < 3: print("you need to run meds with python3") ; os._exit(1)

try: use_setuptools()
except: pass

try:
    from setuptools import setup
except Exception as ex: print(str(ex)) ; os._exit(1)

from distutils import sysconfig
site_packages_path = sysconfig.get_python_lib()

setup(
    name='meds',
    version='21',
    url='https://pikacode.com/bthate/meds2',
    author='Bart Thate',
    author_email='bthate@dds.nl',
    description=""" Voorschrijven zonder te meten, diagnose zonder te meten ????  """,
    license='MIT',
    include_package_data=True,
    zip_safe=False,
    install_requires=["beautifulsoup4", "sleekxmpp", "feedparser"],
    scripts=["bin/meds", "bin/meds-docs", "bin/meds-test", "bin/meds-local", "bin/meds-sed"],
    packages=['meds',
              'meds.bots',
              'meds.extra',
              'meds.helpers',
              'meds.plugs',
             ],
     long_description = """ 

Hedendaagse medicijnen vereisen dat men bijhoud hoe de medicijnen op je
inwerken.  De arts zal je niet waarschuwen voor de bijwerkingen waar je op
moet letten, zodat je niet weet of symptomen het resultaat zijn van je
ziekte of van je medicijnen. Nu is het zo dat men aan je gedragingen afleest wat je
ziekte is en aan de hand daarvan de diagnose stelt, waarna men de juiste medicijnen
probeert voor te schrijven.

Vaak een kwestie van trial en error, waarbij men nog maar moet kijken hoe de medicijnen
op de persoon inwerken.

Een arts word verboden medicijnen voor te schrijven zonder het bloed te
meten. Een arts word verboden een diagnose te maken voordat het bloed gemeten is.

http://pypi.python.org/pypi/meds

""", 
    classifiers=[
        'Development Status :: 4 - Beta',
        'License :: OSI Approved :: MIT License',
        'Operating System :: Unix',
        'Programming Language :: Python',
        'Topic :: Software Development :: Libraries :: Python Modules'],
)
